liborigin 2.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::Matrix Struct Reference

`#include <OriginObj.h>`

Inheritance diagram for Origin::Matrix:

## Public Types
enum | HeaderViewType { ColumnRow , XY }
enum | ViewType { DataView , ImageView }
Public Types inherited from Origin::Window
enum | State { Normal , Minimized , Maximized }
enum | Title { Name , Label , Both }

## Public Member Functions
| Matrix (const string &_name="", unsigned int _index=0)
Public Member Functions inherited from Origin::Window
| Window (const string &_name="", const string &_label="", bool _hidden=false)

## Public Attributes
ColorMap | colorMap
unsigned short | columnCount
string | command
vector< double > | coordinates
vector< double > | data
int | decimalPlaces
HeaderViewType | header
unsigned int | index
NumericDisplayType | numericDisplayType
unsigned short | rowCount
unsigned int | sheets
int | significantDigits
int | valueTypeSpecification
ViewType | view
int | width
Public Attributes inherited from Origin::Window
time_t | creationDate
Rect | frameRect
bool | hidden
string | label
time_t | modificationDate
string | name
int | objectID
State | state
Title | title

## Member Enumeration Documentation

## ◆ HeaderViewType

enum Origin::Matrix::HeaderViewType

Enumerator
ColumnRow |
XY |

## ◆ ViewType

enum Origin::Matrix::ViewType

Enumerator
DataView |
ImageView |

## Constructor & Destructor Documentation

## ◆ Matrix()

Origin::Matrix::Matrix | ( | const string & | _name = `""`,
|  | unsigned int | _index = `0`
| ) |  |
| inline

References coordinates.

## Member Data Documentation

## ◆ colorMap

ColorMap Origin::Matrix::colorMap

## ◆ columnCount

unsigned short Origin::Matrix::columnCount

## ◆ command

string Origin::Matrix::command

## ◆ coordinates

vector<double> Origin::Matrix::coordinates

Referenced by Matrix().

## ◆ data

vector<double> Origin::Matrix::data

## ◆ decimalPlaces

int Origin::Matrix::decimalPlaces

## ◆ header

HeaderViewType Origin::Matrix::header

## ◆ index

unsigned int Origin::Matrix::index

## ◆ numericDisplayType

NumericDisplayType Origin::Matrix::numericDisplayType

## ◆ rowCount

unsigned short Origin::Matrix::rowCount

## ◆ sheets

unsigned int Origin::Matrix::sheets

## ◆ significantDigits

int Origin::Matrix::significantDigits

## ◆ valueTypeSpecification

int Origin::Matrix::valueTypeSpecification

## ◆ view

ViewType Origin::Matrix::view

## ◆ width

int Origin::Matrix::width

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h